Libvirt-functions: Difference between revisions
Jump to navigation
Jump to search
No edit summary |
(→Usage) |
||
Line 12: | Line 12: | ||
=Usage= | =Usage= | ||
==envc== | |||
envc start [vmid] | |||
envc stop [vmid] | |||
envc status [vmid] | |||
envc snapshot <snapshot_tag> [vmid] | |||
envc list-snapshots [vmid] | |||
envc restore <snapshot_tag> [vmid] | |||
==libvirt-functions== | |||
Copy <tt>libvirt-functions</tt> in the bin directory and refer it as following: | Copy <tt>libvirt-functions</tt> in the bin directory and refer it as following: | ||
[ -f $(dirname $0)/libvirt-functions ] && . $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; } | [ -f $(dirname $0)/libvirt-functions ] && . $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; } |
Revision as of 21:15, 4 July 2017
Internal
Overview
A project that offers common bash functions associated with managing virtual machines with libvirt.
GitHub
Usage
envc
envc start [vmid] envc stop [vmid] envc status [vmid] envc snapshot <snapshot_tag> [vmid] envc list-snapshots [vmid] envc restore <snapshot_tag> [vmid]
libvirt-functions
Copy libvirt-functions in the bin directory and refer it as following:
[ -f $(dirname $0)/libvirt-functions ] && . $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; }